import { TestContext } from './TestContext';
import { RootCausePage } from './interfaces';
export declare function logsBeforeAllHook(testContext: TestContext, proxyContext: any, rootPage: RootCausePage): Promise<void>;
export declare function logsAfterAllHook(testContext: TestContext): Promise<void>;
export declare function logsBeforeEachHook(testContext: TestContext, proxyContext: any, rootPage: RootCausePage): Promise<void>;
export declare function logsAfterEachHook(testContext: TestContext, proxyContext: any, rootPage: RootCausePage): Promise<void>;
export declare function errorMessageStringToErrorWithStack(messageWithStack: string): Error;
